package com.steerinfo.baseinfo.meterbasespotinfo.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.baseinfo.meterbasespotinfo.model.MeterBaseSpotInfo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.shiro.crypto.hash.Hash;

@Mapper
public interface MeterBaseSpotInfoMapper extends IBaseMapper<MeterBaseSpotInfo, String> {
     String GetNewID();

     List<MeterBaseSpotInfo> selectOrParameters(Map<String, Object> parameters);

     List<MeterBaseSpotInfo> selectall();

     List<MeterBaseSpotInfo> DynamicAll(Map<String, Object> params);

     List<MeterBaseSpotInfo> selectcorrelation();

     List<MeterBaseSpotInfo> calibcorrelation();

     List<MeterBaseSpotInfo> selectSpotByUserID(Map<String, Object> parameters);
     List<MeterBaseSpotInfo> selectSpotByConfigUserID(Map<String, Object> parameters);

     List<MeterBaseSpotInfo> TSDGSpotInfo(Map<String, Object> parameters);

     List<MeterBaseSpotInfo> spotInfoByList(Map<String, Object> param);

     List<MeterBaseSpotInfo> carSpotGroupByActualAndFirst(Map<String, Object> param);
     List<MeterBaseSpotInfo> staticSpotGroupByActualAndFirst(Map<String, Object> param);

     List<MeterBaseSpotInfo> spotGroupCarActual(HashMap<String, Object> params);
     List<MeterBaseSpotInfo> spotGroupRailwayActual(HashMap<String, Object> params);

     List<MeterBaseSpotInfo> queryall(Map<String, Object> params);
}
